# Uses of Interface
org.eclipse.emf.cdo.lm.Process

Packages that use Process
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Process in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Process
Modifier and Type
Method
Description
`Process`
LMFactory.`createProcess()`
Returns a new object of class 'Process'.
`Process`
DropType.`getProcess()`
Returns the value of the 'Process' container reference.
`Process`
ModuleType.`getProcess()`
Returns the value of the 'Process' container reference.
`Process`
ProcessElement.`getProcess()`
`Process`
System.`getProcess()`
Returns the value of the 'Process' containment reference.
Methods in org.eclipse.emf.cdo.lm with parameters of type Process
Modifier and Type
Method
Description
`void`
DropType.`setProcess(Process value)`
Sets the value of the '`Process`' container reference.
`void`
ModuleType.`setProcess(Process value)`
Sets the value of the '`Process`' container reference.
`void`
System.`setProcess(Process value)`
Sets the value of the '`Process`' containment reference.

## Uses of Process in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Process
Modifier and Type
Class
Description
`class`
`ProcessImpl`
An implementation of the model object 'Process'.
Methods in org.eclipse.emf.cdo.lm.impl that return Process
Modifier and Type
Method
Description
`Process`
LMFactoryImpl.`createProcess()`
`Process`
DropTypeImpl.`getProcess()`
`Process`
ModuleTypeImpl.`getProcess()`
`Process`
ProcessElementImpl.`getProcess()`
`Process`
SystemImpl.`getProcess()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Process
Modifier and Type
Method
Description
`NotificationChain`
DropTypeImpl.`basicSetProcess(Process newProcess, NotificationChain msgs)`
`NotificationChain`
ModuleTypeImpl.`basicSetProcess(Process newProcess, NotificationChain msgs)`
`NotificationChain`
SystemImpl.`basicSetProcess(Process newProcess, NotificationChain msgs)`
`void`
DropTypeImpl.`setProcess(Process newProcess)`
`void`
ModuleTypeImpl.`setProcess(Process newProcess)`
`void`
SystemImpl.`setProcess(Process newProcess)`

## Uses of Process in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server that return types with arguments of type Process
Modifier and Type
Method
Description
`protected Consumer<Process>`
LMAppExtension.`createProcessInitializater(Element lmElement)`
`Consumer<Process>`
AbstractLifecycleManager.`getProcessInitializer()`
Methods in org.eclipse.emf.cdo.lm.server with parameters of type Process
Modifier and Type
Method
Description
`protected void`
AbstractLifecycleManager.`initProcess(Process process)`
Method parameters in org.eclipse.emf.cdo.lm.server with type arguments of type Process
Modifier and Type
Method
Description
`void`
AbstractLifecycleManager.`setProcessInitializer(Consumer<Process> processInitializer)`

## Uses of Process in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Process
Modifier and Type
Method
Description
`T`
LMSwitch.`caseProcess(Process object)`
Returns the result of interpreting the object as an instance of 'Process'.